src/fvm/fvm_hilbert.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
fvm_hilbert.c File Reference
`#include "cs_defs.h"`
`#include <assert.h>`
`#include <float.h>`
`#include <math.h>`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include "bft_mem.h"`
`#include "bft_printf.h"`
`#include "fvm_hilbert.h"`
Include dependency graph for fvm_hilbert.c:

## Functions
void | fvm_hilbert_get_coord_extents (int dim, size_t n_coords, const cs_coord_t coords[], cs_coord_t g_extents[])
void | fvm_hilbert_encode_coords (int dim, const cs_coord_t extents[], cs_lnum_t n_coords, const cs_coord_t coords[], fvm_hilbert_code_t h_code[])
void | fvm_hilbert_local_order (cs_lnum_t n_codes, const fvm_hilbert_code_t hilbert_codes[], cs_lnum_t order[])
void | fvm_hilbert_local_order_coords (int dim, const cs_coord_t extents[], cs_lnum_t n_coords, const cs_coord_t coords[], cs_lnum_t order[])
size_t | fvm_hilbert_quantile_search (size_t n_quantiles, fvm_hilbert_code_t code, fvm_hilbert_code_t quantile_start[])

## Function Documentation

void fvm_hilbert_encode_coords | ( | int | dim,
|  | const cs_coord_t | extents[],
|  | cs_lnum_t | n_coords,
|  | const cs_coord_t | coords[],
|  | fvm_hilbert_code_t | h_code[]
| ) |  |

void fvm_hilbert_get_coord_extents | ( | int | dim,
|  | size_t | n_coords,
|  | const cs_coord_t | coords[],
|  | cs_coord_t | g_extents[]
| ) |  |

void fvm_hilbert_local_order | ( | cs_lnum_t | n_codes,
|  | const fvm_hilbert_code_t | hilbert_codes[],
|  | cs_lnum_t | order[]
| ) |  |

void fvm_hilbert_local_order_coords | ( | int | dim,
|  | const cs_coord_t | extents[],
|  | cs_lnum_t | n_coords,
|  | const cs_coord_t | coords[],
|  | cs_lnum_t | order[]
| ) |  |

size_t fvm_hilbert_quantile_search | ( | size_t | n_quantiles,
|  | fvm_hilbert_code_t | code,
|  | fvm_hilbert_code_t | quantile_start[]
| ) |  |